Section ID:
Values of
Values of
DOC-API-MODEL-schema-1fpqunnq41#overview
Compaction
Compaction metadata
Meaning and usage
Section ID: DOC-API-MODEL-schema-1fpqunnq41#meaning
See the definition above.
Usage profiles
Section ID: DOC-API-MODEL-schema-1fpqunnq41#fields
| Usage | Fields and validation |
|---|---|
| In responses | View fields |
In responses
Section ID: DOC-API-MODEL-schema-1fpqunnq41#response
API JSON uses JSON field names (camelCase).
| Field | Type | Presence | Meaning |
|---|---|---|---|
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-idSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-idid | string | Optional | Identifier of the compaction record. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-startsequenceSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-startsequencestartSequence | string (int64) | Optional | Sequence number of the first conversation message represented by the compaction. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-endsequenceSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-endsequenceendSequence | string (int64) | Optional | Sequence number of the last conversation message represented by the compaction. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-summarySection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-summarysummary | string | Optional | Summary text produced by conversation compaction. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-originaltokencountSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-originaltokencountoriginalTokenCount | string (int64) | Optional | Estimated token count of the context before compaction. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-summarytokencountSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-summarytokencountsummaryTokenCount | string (int64) | Optional | Estimated token count of the generated summary. Pattern: ^-?\d+$. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-modelusedSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-modelusedmodelUsed | string | Optional | Model identifier used for the context compaction. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-createdatSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-createdatcreatedAt | string (date-time) | Optional | Time when this record was created. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-statusSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-statusstatus | string (COMPACTION_STATUS_PENDING, COMPACTION_STATUS_COMPLETED, COMPACTION_STATUS_FAILED) or integer (int32) | Optional; explicit presence | Execution state of the conversation compaction. |
Section ID: DOC-API-MODEL-schema-1fpqunnq41#field-triggerreasonSection ID: DOC-API-MODEL-schema-1fpqunnq41#response-field-triggerreasontriggerReason | string (COMPACTION_TRIGGER_REASON_THRESHOLD_EXCEEDED, COMPACTION_TRIGGER_REASON_MANUAL) or integer (int32) | Optional; explicit presence | Reason for triggering this compaction (auto threshold vs manual) |
Values of status
Section ID: DOC-API-MODEL-schema-1fpqunnq41#response-values-status
Execution state of a conversation context-compaction attempt.
| Value | No. | Form | Meaning |
|---|---|---|---|
COMPACTION_STATUS_PENDING | 0 | Canonical | Compaction was started and its result is still pending. |
COMPACTION_STATUS_COMPLETED | 1 | Canonical | Compaction completed and produced its result. |
COMPACTION_STATUS_FAILED | 2 | Canonical | Compaction failed; inspect the associated error. |
Values of triggerReason
Section ID: DOC-API-MODEL-schema-1fpqunnq41#response-values-triggerreason
Compaction Events
Reason a conversation context-compaction attempt was started.
| Value | No. | Form | Meaning |
|---|---|---|---|
COMPACTION_TRIGGER_REASON_THRESHOLD_EXCEEDED | 0 | Canonical | Context usage crossed the configured compaction threshold. |
COMPACTION_TRIGGER_REASON_MANUAL | 1 | Canonical | A caller explicitly requested compaction. |
Where used
Section ID: DOC-API-MODEL-schema-1fpqunnq41#where-used
| Reference | Relationship |
|---|---|
| Get full conversation state | POST /api/v1/llm/conversation-state |
Download the public reference contract.
Document ID: DOC-API-MODEL-schema-1fpqunnq41